bio-0.5.2: A bioinformatics library

Safe Haskell | None

Bio.Alignment.BlastXML

Description

Parse blast XML output.

If you use a recent version of NCBI BLAST and specify XML output (blastall -m 7), this module should be able to parse the result into a hierarchical `BlastResult` structure.

While the process may consume a bit of memory, the parsing is lazy, and file sizes of several gigabytes can be parsed (see e.g. the xml2x tool for an example). To parse XML, we use `TagSoup`.

Synopsis

- readXML :: FilePath -> IO [BlastResult]

# Documentation

readXML :: FilePath -> IO [BlastResult]

Parse BLAST results in XML format